//FESU - [2020-06-22 11:41:46]
#ifndef _FESU_H_
#define _FESU_H_

#include "FTTFont.h"

/*
0014D16C FESU_GetFontIndex(int)
0014D1A0 FESU_GetFontDefaultScale(int,float &,float &)
0014D308 FESU_SetFontScaleForWidth(wchar_t const*,float)
0014D38C FESU_GetFontScale(float &,float &)
0014D3AC FESU_SetFontScale(float,float)
0014D420 FESU_SetFontScaleForWidth(char const*,float)
0014D498 FESU_BalanceWithWrapWidth(wchar_t const*,float,float)
0014D508 FESU_GetCommaSeperatedString(long long,int)
0014D62C FESU_SetFont(int)
0014D658 FESU_GetFont()
0014D668 FESU_GetFontScale()
0014D678 FESU_Capitalize(wchar_t *,wchar_t const*,int)
0014D6EC FESU_WordsStartWithCapital(wchar_t *)
0014D748 FESU_DrawTextDropShadowCol(wchar_t const*,float,float,uint,uint)
0014D75C FESU_DrawTextDropShadowColOffset(wchar_t const*,float,float,uint,uint,float)
0014D7F8 FESU_ExtractInteger(wchar_t *)
0014D83C FESU_IsAlNum(char)
0014D85C FESU_PrintOutline(float,float,wchar_t const*,uint,uint)
0014D8E8 FESU_FreeFonts()
0014D8F8 FESU_LoadFonts()
0014DA58 FESU_DrawText(float,float,float,float,wchar_t const*,EFontAlign,float,float)
0014DC2C FESU_DrawCurveText(wchar_t const*,float,float,float)
0014DD18 FESU_RemoveSpecialCharacters(wchar_t *)
0014DE94 FESU_PrintRotWood(float,float,wchar_t const*,float,float,float)
0014DF3C FESU_PrintRotWoodWhite(float,float,wchar_t const*,float,float,float,bool)
0014DFE4 FESU_IsFontCJK()

*/

enum EFontMode : uint{
  EFontMode_0,
  EFontMode_1,
  EFontMode_2,
  EFontMode_3,
  EFontMode_4,
};

extern EFontMode FESU_eFontMode;

int FESU_GetFontIndex(int);                                                                //0014D16C
void FESU_GetFontDefaultScale(int, float &, float &);                                       //0014D1A0
float FESU_SetFontScaleForWidth(wchar_t const *, float);                                     //0014D308
void FESU_GetFontScale(float &, float &);                                                   //0014D38C
void FESU_SetFontScale(float, float);                                                       //0014D3AC
float FESU_SetFontScaleForWidth(char const *, float);                                        //0014D420
float FESU_BalanceWithWrapWidth(wchar_t const *, float, float);                              //0014D498
wchar_t* FESU_GetCommaSeperatedString(long long, int);                                      //0014D508
void FESU_SetFont(int);                                                                     //0014D62C
void FESU_GetFont();                                                                        //0014D658
float FESU_GetFontScale();                                                                   //0014D668
void FESU_Capitalize(wchar_t *, wchar_t const *, int);                                      //0014D678
void FESU_WordsStartWithCapital(wchar_t *);                                                 //0014D6EC
void FESU_DrawTextDropShadowCol(wchar_t const *, float, float, uint, uint);                 //0014D748
void FESU_DrawTextDropShadowColOffset(wchar_t const *, float, float, uint, uint, float);    //0014D75C
void FESU_ExtractInteger(wchar_t *);                                                        //0014D7F8
void FESU_IsAlNum(char);                                                                    //0014D83C
void FESU_PrintOutline(float, float, wchar_t const *, uint, uint);                          //0014D85C
void FESU_FreeFonts();                                                                      //0014D8E8
void FESU_LoadFonts();                                                                      //0014D8F8
TextDimensions FESU_DrawText(float, float, float, float, wchar_t const *, EFontAlign, float, float);  //0014DA58
void FESU_DrawCurveText(wchar_t const *, float, float, float);                              //0014DC2C
void FESU_RemoveSpecialCharacters(wchar_t *);                                               //0014DD18
void FESU_PrintRotWood(float, float, wchar_t const *, float, float, float);                 //0014DE94
void FESU_PrintRotWoodWhite(float, float, wchar_t const *, float, float, float, bool);      //0014DF3C
bool FESU_IsFontCJK();                                                                      //0014DFE4

//-------------------------------------------------------------------------------------------------
#endif  //_FESU_H_